/* File: clean_tmp.c
 * 
 * Hatem Nassrat
 * B00393388 - Dalhousie University
 *
 * A Fault tolerance Implementation for an OLAP system
 *
 * This app rm files with path /tmp/pcc05/argv[1+] from nodes
 */

#include <mpi.h>
#include <stdio.h>
#include <strings.h>

#define IC_CREATE_TAG 5

int main(int argc, char * argv[])
{
    int i, my_rank, p, f;
    char buf[BUFSIZ];

    /*MPI INIT*/
    
    MPI_Init(&argc,&argv);
    MPI_Comm_rank(MPI_COMM_WORLD,&my_rank);
    MPI_Comm_size(MPI_COMM_WORLD, &p);
    f=p;

    /*END OF: MPI INIT*/

    //printf("P%d: here",my_rank);
    //exit(0);
    
    if(argc>1)
        for(i=1;i<argc;i++)
        {
            sprintf(buf,"rm /tmp/pcc05/%s", argv[i]);
            //printf("%s\n",buf);
            system(buf);
        }
    else
    {
        sprintf(buf, "rm /tmp/pcc05/*");
        system(buf);
    }
   
    MPI_Finalize();
    exit(0);
}
